Name:           perl-RDF-NS
Version:        20160409
Release:        1%{?dist}
Summary:        Popular RDF name space prefixes from prefix.cc
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/RDF-NS/
Source0:        http://www.cpan.org/authors/id/V/VO/VOJ/RDF-NS-%{version}.tar.gz
# Fix shell bang
Patch0:         RDF-NS-20160409-Do-not-use-usr-bin-env.patch
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(Module::Build::Tiny) >= 0.039
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(File::ShareDir) >= 1.00
BuildRequires:  perl(RDF::Trine::Node::Blank)
BuildRequires:  perl(RDF::Trine::Node::Resource)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(URI)
# Tests:
BuildRequires:  perl(Test::More)
# Test::Pod 1.41 not used
BuildRequires:  perl(version)
# Optional tests:
BuildRequires:  perl(RDF::Trine)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(File::ShareDir) >= 1.00

# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(File::ShareDir\\)$

%description
Hard-coding URI name spaces and prefixes for RDF applications is neither
fun nor maintainable. In the end we all use more or less the same
prefix definitions, as collected at <http://prefix.cc/>. This Perl module
includes all these prefixes as defined at specific snapshots in time.

%prep
%setup -q -n RDF-NS-%{version}
%patch0 -p1
chmod -x lib/App/rdfns.pm

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=$RPM_BUILD_ROOT --create_packlist=0
%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%license LICENSE
%doc Changes README
%{_bindir}/rdfns
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Fri May 27 2016 Petr Pisar <ppisar@redhat.com> - 20160409-1
- 20160409 bump

* Fri Apr 08 2016 Petr Pisar <ppisar@redhat.com> 20150725-1
- Specfile autogenerated by cpanspec 1.78.
